<?
include("../conexion/class-sb-conexion.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Documento sin t&iacute;tulo</title>
</head>
<body>
<?
$db = new sb_mysql();
$db->proceso($empresa_global);
$sql="select 
  		Rut_Func,
		Codigo_Func,
  		concat(Apellido_Paterno_Func,' ',
		Apellido_Materno_Func,' ',Nombre_Func) as Nombre,
		Codigo_Liq
  	FROM sb_contratos_lista
  	INNER JOIN  sb_funcionarios_lista 
		on sb_contratos_lista.Codigo_Func_cont 
		= sb_funcionarios_lista.Codigo_Func
	INNER JOIN sb_datos_liquidacion on
	sb_contratos_lista.Codigo_Cont 
	= sb_datos_liquidacion.Codigo_Cont_Liq  	
	where sb_contratos_lista.Codigo_Sucu_Cont='".$sucursal_global."' and
		sb_contratos_lista.Codigo_Empresa_Cont='".$empresa_global."' and
		sb_contratos_lista.Finiquito_Cont=0 and 
		sb_datos_liquidacion.Codigo_Proceso='".$db->id_proceso."' and
		sb_contratos_lista.Codigo_Func_Cont='".$Codigo_Func."'
	order  by Apellido_Paterno_Func,Apellido_Materno_Func,Nombre_Func desc
		  	 ";
	$consulta_func = $db->consulta_free($sql);		    
	while($resultados = $db->sb_array($consulta_func)){   
		//$db = new sb_mysql();
		
		$sql2="select count(*) as cant from 
				sb_plantilla_haberes_descuentos  
		  	   where 
			   		Codigo_Func_Plantilla
					='".$resultados['Codigo_Func']."' and
			 		Codigo_HabDes_Plantilla
			 		='".$Codigo_HabDes."' and
			 		Codigo_Liq_Plantilla
					='".$resultados['Codigo_Liq']."' 
			  ";   
		//echo $sql;
		$consulta = $db->consulta_free($sql2);
		$resu_1 = $db->sb_array($consulta);
		
		if($resu_1['cant']==0){
		
		$sql2="INSERT INTO sb_plantilla_haberes_descuentos
		 		(Codigo_Func_Plantilla,
				 Codigo_HabDes_Plantilla,
				 Codigo_Liq_Plantilla,
				 Rut_Func_Plantilla,
				 Valor_Plantilla
				)
				VALUES
				('".$resultados['Codigo_Func']."',
				 '".$Codigo_HabDes."',
				 '".$resultados['Codigo_Liq']."',
				 '".$resultados['Rut_Func']."',
				 '".$Valor_Plantilla."'  
				)  
		  		";   
		//echo $sql;
		$consulta = $db->consulta_free($sql2);
		
		
		}else{
		
		$sql2="UPDATE sb_plantilla_haberes_descuentos set 
		  		Valor_Plantilla='".$Valor_Plantilla."'
		  		where Codigo_Func_Plantilla
						='".$resultados['Codigo_Func']."' and
			 		  Codigo_HabDes_Plantilla
			 			='".$Codigo_HabDes."' and
			 		  Codigo_Liq_Plantilla
					  ='".$resultados['Codigo_Liq']."' 
			  ";   
		//echo $sql;
		$consulta = $db->consulta_free($sql2);
		
		}
	}
	?>
</body>
<script>
alert("Registros Actualizados");
</script>
</html>
